## gwydion-dylan 2.3.8pre1-1

=== doc/Makefile ===
# Generated automatically from Makefile.in by configure.
prefix=/usr
MANDIR=${prefix}/man
INSTALL=/usr/bin/install -c
INSTALL_DATA=${INSTALL} -m 644
DESTDIR=

default: compile

.PHONY: default compile install clean

compile:
	-echo 'Nothing to do.'

install: compile
	${INSTALL_DATA} dylan.7 ${DESTDIR}${MANDIR}/man7/dylan.7
	${INSTALL_DATA} gwydion.7 ${DESTDIR}${MANDIR}/man7/gwydion.7
	${INSTALL_DATA} d2c.1 ${DESTDIR}${MANDIR}/man1/d2c.1
	${INSTALL_DATA} dybug.1 ${DESTDIR}${MANDIR}/man1/dybug.1
	${INSTALL_DATA} mindy.1 ${DESTDIR}${MANDIR}/man1/mindy.1
	${INSTALL_DATA} mindycomp.1 ${DESTDIR}${MANDIR}/man1/mindycomp.1
	${INSTALL_DATA} mindyexec.1 ${DESTDIR}${MANDIR}/man1/mindyexec.1
	${INSTALL_DATA} melange.1 ${DESTDIR}${MANDIR}/man1/melange.1
	${INSTALL_DATA} parsergen.1 ${DESTDIR}${MANDIR}/man1/parsergen.1
	${INSTALL_DATA} make-dylan-app.1 \
		${DESTDIR}${MANDIR}/man1/make-dylan-app.1
	${INSTALL_DATA} platforms.descr.4 \
		${DESTDIR}${MANDIR}/man4/platforms.descr.4

uninstall:
	rm -f ${DESTDIR}${MANDIR}/man7/dylan.7
	rm -f ${DESTDIR}${MANDIR}/man7/gwydion.7
	rm -f ${DESTDIR}${MANDIR}/man1/d2c.1
	rm -f ${DESTDIR}${MANDIR}/man1/dybug.1
	rm -f ${DESTDIR}${MANDIR}/man1/mindy.1
	rm -f ${DESTDIR}${MANDIR}/man1/mindycomp.1
	rm -f ${DESTDIR}${MANDIR}/man1/mindyexec.1
	rm -f ${DESTDIR}${MANDIR}/man1/melange.1
	rm -f ${DESTDIR}${MANDIR}/man1/parsergen.1
	rm -f ${DESTDIR}${MANDIR}/man1/make-dylan-app.1
	rm -f ${DESTDIR}${MANDIR}/man4/platforms.descr.4

clean:
	-echo 'Nothing to do.'
