=== mindy/compat/Makefile ===
# Generated automatically from Makefile.in by configure.
######################################################################
##
## Copyright (c) 1994  Carnegie Mellon University
## Copyright (c) 1998, 1999, 2000  Gwydion Dylan Maintainers
## All rights reserved.
## 
## Use and copying of this software and preparation of derivative
## works based on this software are permitted, including commercial
## use, provided that the following conditions are observed:
## 
## 1. This copyright notice must be retained in full on any copies
##    and on appropriate parts of any derivative works.
## 2. Documentation (paper or online) accompanying any system that
##    incorporates this software, or any part of it, must acknowledge
##    the contribution of the Gwydion Project at Carnegie Mellon
##    University, and the Gwydion Dylan Maintainers.
## 
## This software is made available "as is".  Neither the authors nor
## Carnegie Mellon University make any warranty about the software,
## its performance, or its conformity to any specification.
## 
## Bug reports should be sent to <gd-bugs@gwydiondylan.org>; questions,
## comments and suggestions are welcome at <gd-hackers@gwydiondylan.org>.
## Also, see http://www.gwydiondylan.org/ for updates and documentation. 
##
######################################################################
##
##  $Header: /home/cvsroot/gd/src/mindy/compat/Makefile.in,v 1.8 2000/11/01 05:25:19 housel Exp $
##
##  This is the makefile for the Mindy compatability library.
##

SHELL	=	/bin/sh

##
## begin autoconf'ed source
##

prefix	=		/usr
exec_prefix	=	${prefix}
srcdir	=		/home/bfulgham/packages/gwydion-dylan/gwydion-dylan-2.3.8pre1/mindy/compat

SRCDIR	=		${srcdir}
CONFIGDIR = 		/home/bfulgham/packages/gwydion-dylan/gwydion-dylan-2.3.8pre1
BINDIR	=		${exec_prefix}/bin
LIBDIR	=		${exec_prefix}/lib/dylan
DESTDIR =

AR      =               ar
CC	=		gcc
CCOPTS	=		-g -O2 -Wall
CFLAGS	=		$(CCOPTS) -I${SRCDIR} -I${CONFIGDIR} -DHAVE_CONFIG_H -DBINDIR=\"${BINDIR}\" -DLIBDIR=\"${LIBDIR}\" -DTARGET=\"x86-linux-gcc\"
YACC	=		bison -y
YFLAGS	=		-d
LEX	=		flex
LFLAGS	=		-i
RANLIB	=		ranlib
INSTALL	=		/usr/bin/install -c
INSTALL_PROGRAM	=	${INSTALL}
INSTALL_DATA	=	${INSTALL} -m 644

LIBOBJS =		 matherr.o shl.o
LIBS	=		 -lm -lreadline -ldl

##
## end of configure written portion
##

OBJS	=	${LIBOBJS} protected.o cygwin.o

SRCS	=	getcwd.c strerror.c strtod.c strtoul.c waitpid.c \
		opendir.c strstr.c strtol.c tmpnam.c sigaction.c \
		protected.c matherr.c memmove.c setsid.c shl.c cygwin.c

ALLOBJS	=	getcwd.o strerror.o strtod.o strtoul.o waitpid.o \
		opendir.o strstr.o strtol.o tmpnam.o sigaction.o \
		protected.o matherr.o memmove.o setsid.c cygwin.o

libcompat.a: ${OBJS}
	${AR} ru libcompat.a ${OBJS}
	${RANLIB} libcompat.a

allobjs: ${ALLOBJS}


clean:
	rm -f ${OBJS} libcompat.a  *~ \#* core

realclean:
	rm -f ${OBJS} libcompat.a Makefile *~ \#* core

install: libcompat.a

# It's easiest to generate this part by machine.
# Try gcc -MM -E *.c | perl ../etc/generate-depends

cygwin.o: ${SRCDIR}/cygwin.c ${SRCDIR}/std-c.h ${SRCDIR}/std-os.h \
	  ${SRCDIR}/cygwin.h
	${CC} -c ${CFLAGS} ${SRCDIR}/cygwin.c

getcwd.o:  ${SRCDIR}/getcwd.c ${SRCDIR}/std-c.h ${SRCDIR}/std-os.h
	${CC} -c ${CFLAGS} ${SRCDIR}/getcwd.c

matherr.o:  ${SRCDIR}/matherr.c ${SRCDIR}/std-c.h ${SRCDIR}/std-os.h
	${CC} -c ${CFLAGS} ${SRCDIR}/matherr.c

memmove.o:  ${SRCDIR}/memmove.c ${SRCDIR}/std-c.h
	${CC} -c ${CFLAGS} ${SRCDIR}/memmove.c

opendir.o:  ${SRCDIR}/opendir.c ${SRCDIR}/std-c.h ${SRCDIR}/std-os.h
	${CC} -c ${CFLAGS} ${SRCDIR}/opendir.c

protected.o:  ${SRCDIR}/protected.c ${SRCDIR}/std-c.h ${SRCDIR}/std-os.h
	${CC} -c ${CFLAGS} ${SRCDIR}/protected.c

rint.o:  ${SRCDIR}/rint.c
	${CC} -c ${CFLAGS} ${SRCDIR}/rint.c

setsid.o:  ${SRCDIR}/setsid.c ${SRCDIR}/std-c.h ${SRCDIR}/std-os.h
	${CC} -c ${CFLAGS} ${SRCDIR}/setsid.c

sigaction.o:  ${SRCDIR}/sigaction.c ${SRCDIR}/std-signal.h
	${CC} -c ${CFLAGS} ${SRCDIR}/sigaction.c

strerror.o:  ${SRCDIR}/strerror.c ${SRCDIR}/std-c.h ${SRCDIR}/std-os.h
	${CC} -c ${CFLAGS} ${SRCDIR}/strerror.c

strstr.o:  ${SRCDIR}/strstr.c
	${CC} -c ${CFLAGS} ${SRCDIR}/strstr.c

shl.o:  ${SRCDIR}/shl.c
	${CC} -c ${CFLAGS} ${SRCDIR}/shl.c

strtod.o:  ${SRCDIR}/strtod.c ${SRCDIR}/std-c.h
	${CC} -c ${CFLAGS} ${SRCDIR}/strtod.c

strtol.o:  ${SRCDIR}/strtol.c
	${CC} -c ${CFLAGS} ${SRCDIR}/strtol.c

strtoul.o:  ${SRCDIR}/strtoul.c
	${CC} -c ${CFLAGS} ${SRCDIR}/strtoul.c

tmpnam.o:  ${SRCDIR}/tmpnam.c
	${CC} -c ${CFLAGS} ${SRCDIR}/tmpnam.c

waitpid.o:  ${SRCDIR}/waitpid.c ${SRCDIR}/std-c.h ${SRCDIR}/std-os.h
	${CC} -c ${CFLAGS} ${SRCDIR}/waitpid.c
