=== mindy/etc/Makefile ===
# Generated automatically from Makefile.in by configure.
######################################################################
##
## Copyright (c) 1994  Carnegie Mellon University
## Copyright (c) 1998, 1999, 2000  Gwydion Dylan Maintainers
## All rights reserved.
## 
## Use and copying of this software and preparation of derivative
## works based on this software are permitted, including commercial
## use, provided that the following conditions are observed:
## 
## 1. This copyright notice must be retained in full on any copies
##    and on appropriate parts of any derivative works.
## 2. Documentation (paper or online) accompanying any system that
##    incorporates this software, or any part of it, must acknowledge
##    the contribution of the Gwydion Project at Carnegie Mellon
##    University, and the Gwydion Dylan Maintainers.
## 
## This software is made available "as is".  Neither the authors nor
## Carnegie Mellon University make any warranty about the software,
## its performance, or its conformity to any specification.
## 
## Bug reports should be sent to <gd-bugs@gwydiondylan.org>; questions,
## comments and suggestions are welcome at <gd-hackers@gwydiondylan.org>.
## Also, see http://www.gwydiondylan.org/ for updates and documentation. 
##
######################################################################
##
##  $Header: /home/cvsroot/gd/src/mindy/etc/Makefile.in,v 1.6 2000/10/31 14:26:43 dauclair Exp $
##
##  This is the makefile for the Mindy load and go executive
##	and any other small programs that might be useful.
##

SHELL	=	/bin/sh

##
## begin autoconf'ed source
##

prefix	=		/usr
exec_prefix	=	${prefix}
exe_ext = 
srcdir	=		/home/bfulgham/packages/gwydion-dylan/gwydion-dylan-2.3.8pre1/mindy/etc

SRCDIR	=		${srcdir}
CONFIGDIR = 		/home/bfulgham/packages/gwydion-dylan/gwydion-dylan-2.3.8pre1
BINDIR	=		${exec_prefix}/bin
LIBDIR	=		${exec_prefix}/lib/dylan
DESTDIR =

CC	=		gcc
CCOPTS	=		-g -O2 -Wall
CFLAGS	=		$(CCOPTS) -I${SRCDIR} -I${CONFIGDIR} -DHAVE_CONFIG_H -DBINDIR=\"${BINDIR}\" -DLIBDIR=\"${LIBDIR}\"
YACC	=		bison -y
YFLAGS	=		-d
LEX	=		flex
LFLAGS	=		-i
RANLIB	=		ranlib
INSTALL	=		/usr/bin/install -c
INSTALL_PROGRAM	=	${INSTALL}
INSTALL_DATA	=	${INSTALL} -m 644

LIBOBJS =		 matherr.o shl.o
LIBS	=		../compat/libcompat.a  -lm -lreadline -ldl

##
## end of configure written portion
##

OBJS	= mindyexec.o

SRCS	= mindyexec.c

all:	mindyexec$(exe_ext)

mindyexec$(exe_ext): mindyexec.o
	${CC} mindyexec.o ${LIBS} -o ,$@
	mv ,$@ $@

mindyexec.o: ${SRCDIR}/mindyexec.c
	${CC} -c ${CFLAGS} ${SRCDIR}/mindyexec.c

clean:
	rm -f ${OBJS} mindyexec$(exe_ext) *~ \#* core

realclean:
	rm -f ${OBJS} mindyexec$(exe_ext) Makefile *~ \#* core

install: mindyexec$(exe_ext)
	${INSTALL_PROGRAM} mindyexec$(exe_ext) ${DESTDIR}${BINDIR}/mindyexec$(exe_ext)
