=== mindy/interp/Makefile ===
# Generated automatically from Makefile.in by configure.
######################################################################
##
## Copyright (c) 1994  Carnegie Mellon University
## Copyright (c) 1998, 1999, 2000  Gwydion Dylan Maintainers
## All rights reserved.
## 
## Use and copying of this software and preparation of derivative
## works based on this software are permitted, including commercial
## use, provided that the following conditions are observed:
## 
## 1. This copyright notice must be retained in full on any copies
##    and on appropriate parts of any derivative works.
## 2. Documentation (paper or online) accompanying any system that
##    incorporates this software, or any part of it, must acknowledge
##    the contribution of the Gwydion Project at Carnegie Mellon
##    University, and the Gwydion Dylan Maintainers.
## 
## This software is made available "as is".  Neither the authors nor
## Carnegie Mellon University make any warranty about the software,
## its performance, or its conformity to any specification.
## 
## Bug reports should be sent to <gd-bugs@gwydiondylan.org>; questions,
## comments and suggestions are welcome at <gd-hackers@gwydiondylan.org>.
## Also, see http://www.gwydiondylan.org/ for updates and documentation. 
##
######################################################################
##
##  $Header: /home/cvsroot/gd/src/mindy/interp/Makefile.in,v 1.16 2001/03/23 21:59:39 housel Exp $
##
##  This is the makefile for the Mindy byte-interpreter.
##

SHELL	=	/bin/sh

##
## begin autoconf'ed source
##

prefix	=		/usr
exec_prefix	=	${prefix}
exe_ext = 
srcdir	=		/home/bfulgham/packages/gwydion-dylan/gwydion-dylan-2.3.8pre1/mindy/interp
top_srcdir =		/home/bfulgham/packages/gwydion-dylan/gwydion-dylan-2.3.8pre1

SRCDIR	=		${srcdir}
CONFIGDIR =		/home/bfulgham/packages/gwydion-dylan/gwydion-dylan-2.3.8pre1
BINDIR	=		${exec_prefix}/bin
LIBDIR	=		${exec_prefix}/lib/dylan/2.3.8pre1/x86-linux-gcc
DESTDIR =

TIME	=		${top_srcdir}/common/time

CC	=		gcc
CCOPTS	=		-g -O2 -Wall
CFLAGS	=		$(CCOPTS) -I${SRCDIR} -I${CONFIGDIR} -I. -DHAVE_CONFIG_H -DBINDIR=\"${BINDIR}\" -DLIBDIR=\"${LIBDIR}\" -DVERSION=\"2.3.8pre1\" -DTARGET=\"x86-linux-gcc\"
CFLAGS_NO_WERROR =      `echo $(CFLAGS) | sed 's/-Werror//g'`
YACC	=		bison -y
YFLAGS	=		-d
LEX	=		flex
LFLAGS	=		-i
RANLIB	=		ranlib
PERL    =               perl
INSTALL	=		/usr/bin/install -c
INSTALL_PROGRAM	=	${INSTALL}
INSTALL_DATA	=	${INSTALL} -m 644

LIBOBJS =		 matherr.o shl.o
LIBS	=		../compat/libcompat.a  -lm -lreadline -ldl

##
## end of configure written portion
##

OBJS = parser-tab.o lexer.o \
	bool.o class.o coll.o debug.o def.o error.o func.o gc.o init.o \
	interp.o list.o lose.o mindy.o misc.o module.o nlx.o num.o \
	obj.o print.o str.o sym.o thread.o type.o load.o value.o vec.o \
	char.o handler.o instance.o input.o driver.o \
	table.o fd.o buf.o weak.o brkpt.o extern.o ext-init.o \
	time-portability.o

SRCS = parser-tab.c lexer.c \
	bool.c class.c coll.c debug.c def.c error.c func.c gc.c init.c \
	interp.c list.c lose.c mindy.c misc.c module.c nlx.c num.c \
	obj.c print.c str.c sym.c thread.c type.c load.c value.c vec.c \
	char.c handler.c instance.c input.c driver.c \
	table.c fd.c buf.c weak.c brkpt.c extern.c ext-init.c \
	${TIME}/time-portability.c

EXTERN-INCLUDES = ${SRCDIR}/malloc.inc ${TIME}/time.inc

mindy$(exe_ext): ${OBJS} ../compat/libcompat.a
	${CC} ${OBJS} ${LIBS} -o ,$@
	mv -f ,$@ $@

${SRCDIR}/parser-tab.c: ${SRCDIR}/parser.y
	${YACC} -d ${SRCDIR}/parser.y
	mv y.tab.c ${SRCDIR}/parser-tab.c
	mv y.tab.h ${SRCDIR}/parser-tab.h

${SRCDIR}/parser-tab.h: ${SRCDIR}/parser-tab.c

extern1.def extern2.def: $(EXTERN-INCLUDES) make-init.pl
	$(PERL) make-init.pl $(EXTERN-INCLUDES)
	mv ,extern1.def extern1.def
	mv ,extern2.def extern2.def

clean:
	rm -f ${OBJS} mindy$(exe_ext) *~ \#* core

realclean:
	rm -f ${OBJS} mindy$(exe_ext) parser-tab.c parser-tab.h lexer-tab.c Makefile *~ \#* core extern[12].def

install: mindy$(exe_ext)
	${INSTALL_PROGRAM} mindy$(exe_ext) ${DESTDIR}${BINDIR}/mindy$(exe_ext)

# It's easiest to generate this part by machine.
# Try gcc -MM -E *.c | perl ../etc/generate-depends

bool.o:  ${SRCDIR}/bool.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/mindy.h \
           ${SRCDIR}/print.h ${SRCDIR}/gc.h ${SRCDIR}/class.h \
           ${SRCDIR}/obj.h ${SRCDIR}/bool.h ${SRCDIR}/def.h \
           ${SRCDIR}/list.h
	${CC} -c ${CFLAGS} ${SRCDIR}/bool.c

brkpt.o:  ${SRCDIR}/brkpt.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/mindy.h \
            ${SRCDIR}/weak.h ${SRCDIR}/thread.h ${SRCDIR}/driver.h \
            ${SRCDIR}/gc.h ${SRCDIR}/interp.h ${SRCDIR}/bool.h \
            ${SRCDIR}/print.h ${SRCDIR}/../comp/byteops.h ${SRCDIR}/brkpt.h
	${CC} -c ${CFLAGS} ${SRCDIR}/brkpt.c

buf.o:  ${SRCDIR}/buf.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/mindy.h \
          ${SRCDIR}/gc.h ${SRCDIR}/coll.h ${SRCDIR}/class.h \
          ${SRCDIR}/module.h ${SRCDIR}/num.h ${SRCDIR}/bool.h \
          ${SRCDIR}/obj.h ${SRCDIR}/error.h ${SRCDIR}/list.h \
          ${SRCDIR}/def.h ${SRCDIR}/sym.h ${SRCDIR}/type.h \
          ${SRCDIR}/vec.h ${SRCDIR}/str.h ${SRCDIR}/buf.h
	${CC} -c ${CFLAGS} ${SRCDIR}/buf.c

char.o:  ${SRCDIR}/char.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/mindy.h \
           ${SRCDIR}/obj.h ${SRCDIR}/gc.h ${SRCDIR}/class.h \
           ${SRCDIR}/num.h ${SRCDIR}/bool.h ${SRCDIR}/error.h \
           ${SRCDIR}/print.h ${SRCDIR}/list.h ${SRCDIR}/type.h \
           ${SRCDIR}/def.h ${SRCDIR}/char.h
	${CC} -c ${CFLAGS} ${SRCDIR}/char.c

class.o:  ${SRCDIR}/class.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/mindy.h \
            ${SRCDIR}/gc.h ${SRCDIR}/type.h ${SRCDIR}/list.h \
            ${SRCDIR}/sym.h ${SRCDIR}/bool.h ${SRCDIR}/obj.h \
            ${SRCDIR}/error.h ${SRCDIR}/def.h ${SRCDIR}/print.h \
            ${SRCDIR}/class.h ${SRCDIR}/extern.h ${SRCDIR}/instance.h
	${CC} -c ${CFLAGS} ${SRCDIR}/class.c

coll.o:  ${SRCDIR}/coll.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/mindy.h \
           ${SRCDIR}/class.h ${SRCDIR}/obj.h ${SRCDIR}/gc.h \
           ${SRCDIR}/coll.h ${SRCDIR}/def.h ${SRCDIR}/list.h \
           ${SRCDIR}/bool.h ${SRCDIR}/sym.h
	${CC} -c ${CFLAGS} ${SRCDIR}/coll.c

debug.o:  ${SRCDIR}/debug.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/../compat/std-os.h \
            ${SRCDIR}/mindy.h ${SRCDIR}/thread.h ${SRCDIR}/driver.h \
            ${SRCDIR}/func.h ${SRCDIR}/module.h ${SRCDIR}/str.h \
            ${SRCDIR}/list.h ${SRCDIR}/vec.h ${SRCDIR}/type.h \
            ${SRCDIR}/sym.h ${SRCDIR}/num.h ${SRCDIR}/obj.h \
            ${SRCDIR}/bool.h ${SRCDIR}/print.h ${SRCDIR}/interp.h \
            ${SRCDIR}/value.h ${SRCDIR}/error.h ${SRCDIR}/gc.h \
            ${SRCDIR}/brkpt.h ${SRCDIR}/instance.h ${SRCDIR}/../comp/byteops.h
	${CC} -c ${CFLAGS} ${SRCDIR}/debug.c

def.o:  ${SRCDIR}/def.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/mindy.h \
          ${SRCDIR}/module.h ${SRCDIR}/sym.h ${SRCDIR}/thread.h \
          ${SRCDIR}/func.h ${SRCDIR}/list.h ${SRCDIR}/bool.h \
          ${SRCDIR}/obj.h ${SRCDIR}/def.h ${SRCDIR}/type.h \
          ${SRCDIR}/instance.h ${SRCDIR}/error.h ${SRCDIR}/class.h
	${CC} -c ${CFLAGS} ${SRCDIR}/def.c

driver.o:  ${SRCDIR}/driver.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/../compat/std-os.h \
             ${SRCDIR}/mindy.h ${SRCDIR}/gc.h ${SRCDIR}/thread.h \
             ${SRCDIR}/driver.h ${SRCDIR}/bool.h ${SRCDIR}/interp.h \
             ${SRCDIR}/fd.h
	${CC} -c ${CFLAGS} ${SRCDIR}/driver.c

error.o:  ${SRCDIR}/error.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/mindy.h \
            ${SRCDIR}/str.h ${SRCDIR}/thread.h ${SRCDIR}/module.h \
            ${SRCDIR}/sym.h ${SRCDIR}/list.h ${SRCDIR}/vec.h \
            ${SRCDIR}/type.h ${SRCDIR}/def.h ${SRCDIR}/bool.h \
            ${SRCDIR}/obj.h ${SRCDIR}/print.h ${SRCDIR}/func.h \
            ${SRCDIR}/driver.h
	${CC} -c ${CFLAGS} ${SRCDIR}/error.c

ext-init.o:  ${SRCDIR}/ext-init.c ${SRCDIR}/mindy.h ${SRCDIR}/gc.h \
               ${SRCDIR}/bool.h ${SRCDIR}/extern.h ${SRCDIR}/error.h \
               extern1.def extern2.def
	${CC} -c ${CFLAGS} -fno-builtin ${SRCDIR}/ext-init.c

extern.o:  ${SRCDIR}/extern.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/mindy.h \
             ${SRCDIR}/gc.h ${SRCDIR}/obj.h ${SRCDIR}/bool.h \
             ${SRCDIR}/char.h ${SRCDIR}/list.h ${SRCDIR}/type.h \
             ${SRCDIR}/class.h ${SRCDIR}/def.h ${SRCDIR}/sym.h \
             ${SRCDIR}/module.h ${SRCDIR}/error.h ${SRCDIR}/thread.h \
             ${SRCDIR}/func.h ${SRCDIR}/extern.h ${SRCDIR}/num.h \
             ${SRCDIR}/str.h ${SRCDIR}/print.h ${SRCDIR}/coll.h
	${CC} -c ${CFLAGS} ${SRCDIR}/extern.c

fd.o:  ${SRCDIR}/fd.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/../compat/std-os.h \
         ${SRCDIR}/mindy.h ${SRCDIR}/list.h ${SRCDIR}/bool.h \
         ${SRCDIR}/thread.h ${SRCDIR}/func.h ${SRCDIR}/driver.h \
         ${SRCDIR}/buf.h ${SRCDIR}/str.h ${SRCDIR}/num.h \
         ${SRCDIR}/obj.h ${SRCDIR}/def.h ${SRCDIR}/fd.h
	${CC} -c ${CFLAGS} ${SRCDIR}/fd.c

func.o:  ${SRCDIR}/func.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/mindy.h \
           ${SRCDIR}/gc.h ${SRCDIR}/thread.h ${SRCDIR}/bool.h \
           ${SRCDIR}/list.h ${SRCDIR}/num.h ${SRCDIR}/class.h \
           ${SRCDIR}/obj.h ${SRCDIR}/sym.h ${SRCDIR}/interp.h \
           ${SRCDIR}/vec.h ${SRCDIR}/type.h ${SRCDIR}/module.h \
           ${SRCDIR}/print.h ${SRCDIR}/driver.h ${SRCDIR}/error.h \
           ${SRCDIR}/def.h ${SRCDIR}/extern.h ${SRCDIR}/coll.h \
           ${SRCDIR}/func.h
	${CC} -c ${CFLAGS} ${SRCDIR}/func.c

gc.o:  ${SRCDIR}/gc.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/mindy.h \
         ${SRCDIR}/class.h ${SRCDIR}/gc.h ${SRCDIR}/weak.h \
         ${SRCDIR}/table.h ${SRCDIR}/module.h ${SRCDIR}/bool.h \
         ${SRCDIR}/sym.h ${SRCDIR}/num.h ${SRCDIR}/error.h \
         ${SRCDIR}/thread.h ${SRCDIR}/func.h ${SRCDIR}/def.h \
         ${SRCDIR}/list.h ${SRCDIR}/str.h ${SRCDIR}/obj.h
	${CC} -c ${CFLAGS} ${SRCDIR}/gc.c

handler.o:  ${SRCDIR}/handler.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/mindy.h \
              ${SRCDIR}/class.h ${SRCDIR}/gc.h ${SRCDIR}/obj.h \
              ${SRCDIR}/def.h ${SRCDIR}/thread.h ${SRCDIR}/func.h \
              ${SRCDIR}/list.h ${SRCDIR}/bool.h ${SRCDIR}/sym.h \
              ${SRCDIR}/type.h ${SRCDIR}/handler.h
	${CC} -c ${CFLAGS} ${SRCDIR}/handler.c

init.o:  ${SRCDIR}/init.c ${SRCDIR}/init.h
	${CC} -c ${CFLAGS} ${SRCDIR}/init.c

input.o:  ${SRCDIR}/input.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/../compat/std-os.h \
            ${SRCDIR}/mindy.h ${SRCDIR}/char.h ${SRCDIR}/list.h \
            ${SRCDIR}/bool.h ${SRCDIR}/thread.h ${SRCDIR}/func.h \
            ${SRCDIR}/driver.h ${SRCDIR}/error.h ${SRCDIR}/def.h \
            ${SRCDIR}/fd.h
	${CC} -c ${CFLAGS} ${SRCDIR}/input.c

instance.o:  ${SRCDIR}/instance.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/mindy.h \
               ${SRCDIR}/gc.h ${SRCDIR}/obj.h ${SRCDIR}/class.h \
               ${SRCDIR}/list.h ${SRCDIR}/vec.h ${SRCDIR}/type.h \
               ${SRCDIR}/bool.h ${SRCDIR}/module.h ${SRCDIR}/num.h \
               ${SRCDIR}/thread.h ${SRCDIR}/func.h ${SRCDIR}/sym.h \
               ${SRCDIR}/value.h ${SRCDIR}/error.h ${SRCDIR}/driver.h \
               ${SRCDIR}/def.h ${SRCDIR}/print.h ${SRCDIR}/instance.h
	${CC} -c ${CFLAGS} ${SRCDIR}/instance.c

interp.o:  ${SRCDIR}/interp.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/mindy.h \
             ${SRCDIR}/gc.h ${SRCDIR}/thread.h ${SRCDIR}/driver.h \
             ${SRCDIR}/func.h ${SRCDIR}/bool.h ${SRCDIR}/list.h \
             ${SRCDIR}/class.h ${SRCDIR}/obj.h ${SRCDIR}/module.h \
             ${SRCDIR}/value.h ${SRCDIR}/num.h ${SRCDIR}/vec.h \
             ${SRCDIR}/sym.h ${SRCDIR}/error.h ${SRCDIR}/type.h \
             ${SRCDIR}/brkpt.h ${SRCDIR}/interp.h ${SRCDIR}/../comp/byteops.h
	${CC} -c ${CFLAGS} ${SRCDIR}/interp.c

lexer.o:  ${SRCDIR}/lexer.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/../compat/std-os.h \
            ${SRCDIR}/mindy.h ${SRCDIR}/lexer.h ${SRCDIR}/parser.h \
            ${SRCDIR}/parser-tab.h ${SRCDIR}/list.h ${SRCDIR}/char.h \
