=== debian/changelog ===
gwydion-dylan (2.3.8pre1-1) unstable; urgency=low

  * Latest upstream.
  * Corrections for various PR#'s (see http://www.gwydiondylan.org for
    more details.)
  * Correct spelling error (Closes:Bug#124716).
  * Applied semi-fix for PowerPC (Ref:  Bug#135084).  Leaving bug open until
    we have a real solution.

 -- Brent A. Fulgham <bfulgham@debian.org>  Tue, 26 Feb 2002 20:27:17 -0800

gwydion-dylan (2.3.6release-1) unstable; urgency=low

  * Inlined functions now work.
  * Bignum optimizations.
  * Profiling with gprof now works.
  * Upstream release of 2.3.6 version.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 29 Dec 2001 19:30:05 -0800

gwydion-dylan (2.3.6pre2cvs11102001-1) unstable; urgency=low

  * Upstream changes
  * More DUIM additions (font-select)
  * Updates to support single-file mode.
  * Support for clas-level slots.
  * More clean-up and minor optimizations.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 10 Nov 2001 23:18:13 -0800

gwydion-dylan (2.3.6pre2cvs10182001-1) unstable; urgency=low

  * Upstream optimizations to compiler.
  * Implementation of DUIM/GTK+ file-select and directory-select browsers.
  * You can create DUIM apps using 'make-dylan-app -d' syntax.
  * Merging fer-transforms into optimizer.
  * Cleanups to the compiler
  * More Alpha fixes (Thanks to Christopher Chimelis <chris@debian.org>)

 -- Brent A. Fulgham <bfulgham@debian.org>  Thu, 18 Oct 2001 19:51:45 -0700

gwydion-dylan (2.3.6pre2cvs09272001-1) unstable; urgency=low

  * Correct build rules for multiple architectures in BOOTSTRAP path.

 -- Brent A. Fulgham <bfulgham@debian.org>  Fri, 28 Sep 2001 19:55:25 -0700

gwydion-dylan (2.3.6pre2cvs09222001-1) unstable; urgency=low

  * Correct problem with mindy bootstrap.  (Closes:Bug#112286)
  * Clean up some 32-bit-isms.  Many thanks to Christopher Chimelis
    for his many patches.
  * More DUIM/GTK enhancements and bug fixes.

 -- Brent A. Fulgham <bfulgham@debian.org>  Fri, 21 Sep 2001 20:12:44 -0700

gwydion-dylan (2.3.6pre1cvs09102001-2) unstable; urgency=low

  * Add build dependency for libgtk1.2-dev.  (Closes:Bug#107775)
  * Add build dependency for automake. (Closes:Bug#112107)

 -- Brent A. Fulgham <bfulgham@debian.org>  Wed, 12 Sep 2001 15:11:37 -0700

gwydion-dylan (2.3.6pre1cvs09102001-1) unstable; urgency=low

  * Current CVS.
  * DUIM/GTK+ stuff should now work.

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon, 10 Sep 2001 22:31:31 -0700

gwydion-dylan (2.3.6pre1cvs08012001-2) unstable; urgency=low

  * Another update, this time with semi-working gtk bindings.
  * Updated to newer Boehm GC, which should build cleanly on
    more architectures.
  * Added build dependency on libgtk1.2-dev.  (Closes:Bug#107775)

 -- Brent A. Fulgham <bfulgham@debian.org>  Fri, 24 Aug 2001 22:54:46 -0700

gwydion-dylan (2.3.6pre1cvs08012001-1) unstable; urgency=low

  * New release.  Incorporates updates to the garbage collector,
    fixes for c-parser, updates to the ffi interface, and the
    underpinings for a soon-to-come DUIM (graphical toolkit
    based on GTK).
  * Updated build-depends and run aclocal.  (Closes:Bug#107272)

 -- Brent A. Fulgham <bfulgham@debian.org>  Wed,  1 Aug 2001 21:38:46 -0700

gwydion-dylan (2.3.6pre1cvs07242001-1) unstable; urgency=low

  * New release, with lots of new features and some optimizations
    and bug-fixes identified during the ICFP2001 contest.
  * Better name, correct mindy package to include its own libraries.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sun, 29 Jul 2001 19:57:01 -0700

gwydion-dylan (2.3.5release-2) unstable; urgency=low

  * Added some needed build-depends.

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon, 16 Jul 2001 19:52:06 -0700

gwydion-dylan (2.3.5release-1) unstable; urgency=low

  * Rebuilt with better directory structure.

 -- Brent A. Fulgham <bfulgham@debian.org>  Wed, 27 Jun 2001 20:41:06 -0700

gwydion-dylan (2.3.5final-1) unstable; urgency=low

  * Minor shuffling to correct some package dependency problems.
    'gwydion-dylan'     = The Runtime
    'gwydion-dylan-dev' = The compiler and tools
    'mindy'             = The interpreter
    (Closes:Bug#95871)
  * Fix to a minor bug in Mindy that caused it to fail if the
    path to the Dylan runtime was not specified as a command-line
    parameter.
  * The real release!

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon, 21 May 2001 19:52:32 -0700

gwydion-dylan (2.3.5-3) unstable; urgency=low

  * A bunch of minor fixes for DOS-style line endings so 'd2c' doesn't
    crash if someone sends you a file edited under DOS.
  * Really and Truly 2.3.5 Finally!

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 21 Apr 2001 16:46:13 -0700

gwydion-dylan (2.3.5-2) unstable; urgency=low

  * The almost-but-not-quite 2.3.5 version.  Now with a fix for
    slot initializations, some string optimizations, and more
    bug fixes.

 -- Brent A. Fulgham <bfulgham@debian.org>  Tue, 17 Apr 2001 18:01:31 -0700

gwydion-dylan (2.3.5-1) unstable; urgency=low

  * This is really 2.3.5pre2 -- Now with class slots, and New Boehm GC.
  * Also includes some fixes to allow buildling on the Alpha, PowerPC,
    and SPARC architectures.  (Closes:Bug#89886)
  * Some predicate logic in the Makefile to only bootstrap when needed.
    Hope it works!  :-)
  * Make sure configure is present.  (Closes:Bug#91232).

 -- Brent A. Fulgham <bfulgham@debian.org>  Fri, 23 Mar 2001 21:09:43 -0800

gwydion-dylan (2.3.4-3) unstable; urgency=low

  * A few final tweaks to get everything to search the right directories.
  * Get 'parsergen' manpage into -dev where it belongs.

 -- Brent A. Fulgham <bfulgham@debian.org>  Thu, 22 Mar 2001 19:23:11 -0800

gwydion-dylan (2.3.4-2) unstable; urgency=low

  * Fixes for Alpha architecture.
  * Fixes for autobuilders.

 -- Brent A. Fulgham <bfulgham@debian.org>  Tue, 20 Mar 2001 20:31:38 -0800

gwydion-dylan (2.3.4-1) unstable; urgency=low

  * New upstream version.

