=== platform/cocoa/Makefile ===
default:	build

build:
	make -C cocoa
	make -C cocoa-test

clean:
	make clean -C cocoa
	make clean -C cocoa-test
